Main Page Modules Class Hierarchy Compound List File List Compound Members

# cSnapshotManager Class Reference

`#include <envirext.h>`

List of all members.

## Public Methods

Constructor, destructor
| cSnapshotManager ()
virtual | ~cSnapshotManager ()
Controlling the beginning and end of collecting data.
virtual void | startRun ()=0
virtual void | endRun ()=0
Snapshot management
virtual ostream* | getStreamForSnapshot ()=0
virtual void | releaseStreamForSnapshot (ostream *os)=0
virtual const char* | fileName () const=0

## Detailed Description

Abstract class. cSnapshotManagers are plugins into the Envir user interface library (src/envir) that provide an output stream into which snapshots are written (see cSimulation::snapshot()).

The default output snapshot manager is cFileSnapshotManager, defined in the Envir library.

## Constructor & Destructor Documentation

cSnapshotManager::cSnapshotManager ( | )`[inline, explicit]`

| Constructor.

cSnapshotManager::~cSnapshotManager ( | )`[inline, virtual]`

| Destructor.

## Member Function Documentation

void cSnapshotManager::endRun ( | )`[pure virtual]`

| Called at the end of a simulation run.

const char * cSnapshotManager::fileName ( | ) const`[pure virtual]`

| Returns the snapshot file name. Returns NULL if this object is not working into a file output.

ostream * cSnapshotManager::getStreamForSnapshot ( | )`[pure virtual]`

| Returns a stream where a snapshot can be written.

void cSnapshotManager::releaseStreamForSnapshot ( | ostream * os )`[pure virtual]`

| Releases a stream after a snapshot was written.

void cSnapshotManager::startRun ( | )`[pure virtual]`

| Called at the beginning of a simulation run.

The documentation for this class was generated from the following file:

- envirext.h